#include "mainwindow.h"
#include "ui_mainwindow.h"


MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    QMenu *file;
    file = ui->menuBar->addMenu("&File");
    file->addAction(ui->actionSC1);
    file->addAction(ui->actionSC2);
    file->addAction(ui->actionSC3);
    file->addSeparator();
    file->addAction(ui->actionQuit);

    QAction *about = new QAction("&About This Program", this);

    QMenu *help;
    help = ui->menuBar->addMenu("&Help");
    help->addAction(about);

    connect(about, &QAction::triggered, this, &MainWindow::showAbout);
}

MainWindow::~MainWindow()
{
    delete ui;
}

/*
void MainWindow::on_pushButton_pressed()
{
    ui->label->setPixmap(QPixmap(":/res/images/Best_photo_2.jpg"));
}

void MainWindow::on_pushButton_2_pressed()
{
    ui->label->setPixmap(QPixmap(":/res/images/Best_photo_1.jpg"));
}

void MainWindow::on_pushButton_3_pressed()
{
    ui->label->setPixmap(QPixmap(":/res/images/Best_photo_3.jpg"));
}
*/

void MainWindow::on_pushButton_clicked()
{
   auto box = new QMessageBox{this};
   box->setAttribute(Qt::WA_DeleteOnClose);
   box->addButton("Ok", QMessageBox::ActionRole);
   box->addButton("Cancel", QMessageBox::RejectRole);
   box->setIcon(QMessageBox::Question);
   box->setWindowTitle("Confirm Switch");
   box->setText("Switch to Best Photo 2?");
   box->show();

   connect(box, &QMessageBox::buttonClicked, [=](QAbstractButton *button){
      switch (box->buttonRole(button)) {
      case QMessageBox::AcceptRole:
      case QMessageBox::ActionRole:
          ui->label->setPixmap(QPixmap(":/res/images/Best_photo_2.jpg"));
          break;
      case QMessageBox::RejectRole:
          break;
      default:
          break;
      }
   });
}

void MainWindow::on_pushButton_2_clicked()
{
   auto box = new QMessageBox{this};
   box->setAttribute(Qt::WA_DeleteOnClose);
   box->addButton("Ok", QMessageBox::ActionRole);
   box->addButton("Cancel", QMessageBox::RejectRole);
   box->setIcon(QMessageBox::Question);
   box->setWindowTitle("Confirm Switch");
   box->setText("Switch to Best Photo 1?");
   box->show();

   connect(box, &QMessageBox::buttonClicked, [=](QAbstractButton *button){
      switch (box->buttonRole(button)) {
      case QMessageBox::AcceptRole:
      case QMessageBox::ActionRole:
          ui->label->setPixmap(QPixmap(":/res/images/Best_photo_1.jpg"));
          break;
      case QMessageBox::RejectRole:
          break;
      default:
          break;
      }
   });
}

void MainWindow::on_pushButton_3_clicked()
{
   auto box = new QMessageBox{this};
   box->setAttribute(Qt::WA_DeleteOnClose);
   box->addButton("Ok", QMessageBox::ActionRole);
   box->addButton("Cancel", QMessageBox::RejectRole);
   box->setIcon(QMessageBox::Question);
   box->setWindowTitle("Confirm Switch");
   box->setText("Switch to Best Photo 3?");
   box->show();

   connect(box, &QMessageBox::buttonClicked, [=](QAbstractButton *button){
      switch (box->buttonRole(button)) {
      case QMessageBox::AcceptRole:
      case QMessageBox::ActionRole:
          ui->label->setPixmap(QPixmap(":/res/images/Best_photo_3.jpg"));
          break;
      case QMessageBox::RejectRole:
          break;
      default:
          break;
      }
   });
}

void MainWindow::showAbout()
{
    QMessageBox::information(this, "About Program",
                             "<p>This program was written by <p>Dirk Mittler");
}

void MainWindow::resizeEvent(QResizeEvent *event)
{
    int t_width = size().width();
    int t_height = size().height();
    ui->gridLayoutWidget->setGeometry(QRect(5, 5, t_width - 14, t_height - 9));
    QMainWindow::resizeEvent(event);
}
